As you are aware, Kali 2.0 has been released this week and getting quite a bit of attention, as it should. Folks behind Kali have worked really hard to bring you the new version of Kali Linux that everyone is excited about. If you have already started to play with the new version, you probably have realized that something is different, that is; Metasploit Community / Pro is no longer installed by default.

Where is Metasploit Community / Pro in Kali 2.0?
Currently Kali 2.0 does not include commercial editions of Metasploit that are Community, Express and Pro versions. Kali 2.0 includes, by default, a version of Metasploit Framework.

Why doesn't Kali 2.0 include Metasploit Community / Pro?
Kali 2.0 is not yet officially supported by Rapid7 for our commercial versions of Metasploit. There were a lot of changes occurred in Kali 2.0, thus we need to make sure our commercial editions work as expected in the new Kali platform. We are working towards adding Kali 2.0 support soon.

How can I install Metasploit Community / Pro on Kali 2.0?
If you like to install latest version of Metasploit Community, Express, or Pro edition, you can absolutely do that by downloading the latest installer from Github: Metasploit Installers. Once you download the installer, please follow normal install procedure. We have verified that the latest installer will install and Metasploit will run without issues, however I must remind you that Kali 2.0 is not yet officially supported by Rapid7.

Do I need to uninstall pre-installed Metasploit Framework?
Due to the way we package commercial versions, installing Metasploit Community, Express, or Pro will not overwrite any Metasploit Framework packages provided by base install of Kali 2.0. Thus, it is not required to uninstall Kali provided Metasploit Framework packages.

What if I upgrade from Kali 1.1 to 2.0?
At this point, if you are planning on using any commercial edition of Metasploit on Kali 2.0, we strongly recommend a fresh install of Kali.

I have further questions, what do I do?
Feel free to provide comment to this thread, or send us a tweet.

One last thing: It is because we have no call home functions in any Metasploit versions, it is really hard for us to know which version of Metasploit is being used on Kali. Thus, please take this one question survey to let us know which version of Metasploit you use on Kali. We really appreciate your response.

Eray Yilmaz - @erayymz

Sr. Product Manager